Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.evaluation
Class ExtrinsicEvaluation

    java.lang.Object
      infomat.evaluation.ExtrinsicEvaluation

    public class ExtrinsicEvaluation

extends java.lang.Object

For calculating extrinsic quality measures.

Field Summary
`private DoubleHashMap` | `confusionMatrix`
`private IObjectGrouping` | `evalGrouping`
`private Properties` | `properties`
`private IObjectGrouping` | `refGrouping`
`private java.lang.String` | `stamp`

Constructor Summary
`ExtrinsicEvaluation(IObjectGrouping evalGrouping, IObjectGrouping refGrouping, java.lang.String stamp)`

Method Summary
`MeasureGroup` | `allMeasuresInAGroup()`
`Measures` | `calculateAllMeasures()`
`MeasureGroup` | `calculateBasicMeasures()`
`MeasureGroup` | `calculateGlobalMeasures()`
`MeasureGroup` | `calculateGlobalPairMeasures()`
`MeasureGroup` | `calculateGroupMeasures()`
`private MeasureGroup` | `calculateOneGroupMeasures(IObjectGroup iog, int groupNumber, java.util.HashMap<IObjectGroup,Measure> groupPurityMap, java.util.HashMap<IObjectGroup,Measure> groupEntropyMap, java.util.HashMap<IObjectGroup,Measure> groupNormEntropyMap)`
`private void` | `constructConfusionMatrix()`
`float` | `entropy()`
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`float` | `mutualInformation()`
`float` | `normMutualInformation()`
`float` | `purity()`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    private Properties properties

### evalGrouping

    private IObjectGrouping evalGrouping

### refGrouping

    private IObjectGrouping refGrouping

### stamp

    private java.lang.String stamp

### confusionMatrix

    private DoubleHashMap confusionMatrix

Constructor Detail

### ExtrinsicEvaluation

    public ExtrinsicEvaluation(IObjectGrouping evalGrouping,
                               IObjectGrouping refGrouping,
                               java.lang.String stamp)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

### constructConfusionMatrix

    private void constructConfusionMatrix()

### calculateAllMeasures

    public Measures calculateAllMeasures()
                                  throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### allMeasuresInAGroup

    public MeasureGroup allMeasuresInAGroup()
                                     throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateBasicMeasures

    public MeasureGroup calculateBasicMeasures()
                                        throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateGlobalMeasures

    public MeasureGroup calculateGlobalMeasures()
                                         throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateGlobalPairMeasures

    public MeasureGroup calculateGlobalPairMeasures()
                                             throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateGroupMeasures

    public MeasureGroup calculateGroupMeasures()
                                        throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### calculateOneGroupMeasures

    private MeasureGroup calculateOneGroupMeasures(IObjectGroup iog,
                                                   int groupNumber,
                                                   java.util.HashMap<IObjectGroup,Measure> groupPurityMap,
                                                   java.util.HashMap<IObjectGroup,Measure> groupEntropyMap,
                                                   java.util.HashMap<IObjectGroup,Measure> groupNormEntropyMap)
                                            throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### purity

    public float purity()

### entropy

    public float entropy()

### mutualInformation

    public float mutualInformation()

### normMutualInformation

    public float normMutualInformation()

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

### setProperties

    public void setProperties(Properties properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD